osl::misc::LightMutex Class Reference

`#include <lightMutex.h>`

## Classes

class | unlockable_lock
| requirement: thread local More...

## Public Types

typedef LightScopedLock< LightMutex > | scoped_lock

## Public Member Functions

| LightMutex ()
bool | tryLock ()
bool | waitLock (int counter)
void | lock ()
void | unlock ()

## Private Member Functions

| LightMutex (const LightMutex &)=delete
LightMutex & | operator= (const LightMutex &)=delete

## Private Attributes

volatile int | data

## Detailed Description

Definition at line 51 of file lightMutex.h.

## Member Typedef Documentation

## scoped_lock

typedef LightScopedLock<LightMutex> osl::misc::LightMutex::scoped_lock

Definition at line 57 of file lightMutex.h.

## Constructor & Destructor Documentation

## LightMutex() [1/2]

osl::misc::LightMutex::LightMutex | ( | const LightMutex & |  | ) |

private delete

References LightMutex().

Referenced by LightMutex(), operator=(), and osl::misc::LightMutex::unlockable_lock::unlockable_lock().

## LightMutex() [2/2]

osl::misc::LightMutex::LightMutex | ( |  | ) |

inline

Definition at line 59 of file lightMutex.h.

References data.

## Member Function Documentation

## lock()

void osl::misc::LightMutex::lock | ( |  | ) |

inline

Definition at line 84 of file lightMutex.h.

References tryLock(), and waitLock().

## operator=()

LightMutex & osl::misc::LightMutex::operator= | ( | const LightMutex & |  | ) |

private delete

References LightMutex().

## tryLock()

bool osl::misc::LightMutex::tryLock | ( |  | ) |

inline

Definition at line 60 of file lightMutex.h.

References data.

Referenced by lock().

## unlock()

void osl::misc::LightMutex::unlock | ( |  | ) |

inline

Definition at line 93 of file lightMutex.h.

References data.

## waitLock()

bool osl::misc::LightMutex::waitLock | ( | int | counter | ) |

inline

Definition at line 74 of file lightMutex.h.

References data.

Referenced by lock().

## Member Data Documentation

## data

volatile int osl::misc::LightMutex::data

private

Definition at line 55 of file lightMutex.h.

Referenced by LightMutex(), tryLock(), unlock(), and waitLock().

The documentation for this class was generated from the following file:

- lightMutex.h